import { Component, ViewChild, Injector, Output, EventEmitter } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { GetPostalCodeForViewDto, PostalCodeDto } from '@shared/service-proxies/service-proxies';
import { AppComponentBase } from '@shared/common/app-component-base';

@Component({
    selector: 'viewPostalCodeModal',
    templateUrl: './view-postalCode-modal.component.html'
})
export class ViewPostalCodeModalComponent extends AppComponentBase {

    @ViewChild('createOrEditModal', { static: true }) modal: ModalDirective;
    @Output() modalSave: EventEmitter<any> = new EventEmitter<any>();

    active = false;
    saving = false;

    item: GetPostalCodeForViewDto;


    constructor(
        injector: Injector
    ) {
        super(injector);
        this.item = new GetPostalCodeForViewDto();
        this.item.postalCode = new PostalCodeDto();
    }

    show(item: GetPostalCodeForViewDto): void {
        this.item = item;
        this.active = true;
        this.modal.show();
    }

    close(): void {
        this.active = false;
        this.modal.hide();
    }
}
